GeoSymAttExpression.ColumnExpression (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.ColumnExpression

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
          com.bbn.openmap.layer.vpf.GeoSymAttExpression.ColumnExpression

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Enclosing class:
  GeoSymAttExpression

    public static class GeoSymAttExpression.ColumnExpression

extends GeoSymAttExpression.CompareExpression
implements GeoSymAttExpression.Expression

A ColumnExpression is the comparison of an FCI column value against another column value.

Author:
  dietrick

Field Summary
`protected int` | `otherColIndex`
`protected java.lang.String` | `otherColName`

Fields inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`colIndex, colName, fci, op`

Constructor Summary
`GeoSymAttExpression.ColumnExpression(java.lang.String colName, java.lang.String otherName, int op)`

Method Summary
`boolean` | `evaluate(FeatureClassInfo fci, int row, java.lang.StringBuffer reasoning)`
`boolean` | `evaluate(FeatureClassInfo fci, java.util.List<java.lang.Object> row, java.lang.StringBuffer reasoning)`
`protected void` | `setIndexes(FeatureClassInfo fci)`
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### otherColName

    protected java.lang.String otherColName

### otherColIndex

    protected int otherColIndex

Constructor Detail

### GeoSymAttExpression.ColumnExpression

    public GeoSymAttExpression.ColumnExpression(java.lang.String colName,
                                                java.lang.String otherName,
                                                int op)

Method Detail

### setIndexes

    protected void setIndexes(FeatureClassInfo fci)

  Overrides:
    `setIndexes` in class `GeoSymAttExpression.CompareExpression`

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            int row,
                            java.lang.StringBuffer reasoning)

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            java.util.List<java.lang.Object> row,
                            java.lang.StringBuffer reasoning)

  Specified by:
    `evaluate` in interface `GeoSymAttExpression.Expression`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details